org.bdgenomics.cannoli.cli

# BedtoolsIntersectArgs

###
Related Doc: package cli

#### class BedtoolsIntersectArgs extends BedtoolsIntersectFnArgs with ADAMSaveAnyArgs with ParquetArgs

Bedtools intersect command line arguments.

Linear Supertypes
ParquetArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, BedtoolsIntersectFnArgs, Args4jBase, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BedtoolsIntersectArgs
2. ParquetArgs
3. ADAMSaveAnyArgs
4. SaveArgs
5. ParquetRDDArgs
6. BedtoolsIntersectFnArgs
7. Args4jBase
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new BedtoolsIntersectArgs()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### var a: String

   Definition Classes
     BedtoolsIntersectFnArgs

5. #### var addFiles: Boolean

   Definition Classes
     BedtoolsIntersectFnArgs

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### var asSingleFile: Boolean

   Definition Classes
     BedtoolsIntersectArgs → ADAMSaveAnyArgs

8. #### var b: String

   Definition Classes
     BedtoolsIntersectFnArgs

9. #### var blockSize: Int

   Definition Classes
     ParquetArgs → ParquetRDDArgs

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### var compressionCodec: CompressionCodecName

    Definition Classes
      ParquetArgs → ParquetRDDArgs

12. #### var deferMerging: Boolean

    Definition Classes
      BedtoolsIntersectArgs → ADAMSaveAnyArgs

13. #### var disableDictionaryEncoding: Boolean

    Definition Classes
      ParquetArgs → ParquetRDDArgs

14. #### var disableFastConcat: Boolean

    Definition Classes
      BedtoolsIntersectArgs → ADAMSaveAnyArgs

15. #### var doPrintUsage: Boolean

    Definition Classes
      Args4jBase

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### var executable: String

    Definition Classes
      BedtoolsIntersectFnArgs

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### var image: String

    Definition Classes
      BedtoolsIntersectFnArgs

23. #### var inputPath: String

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### var limitProjection: Boolean

26. #### var logLevel: String

    Definition Classes
      ParquetArgs

27. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### var outputPath: String

    Definition Classes
      BedtoolsIntersectArgs → SaveArgs

31. #### var pageSize: Int

    Definition Classes
      ParquetArgs → ParquetRDDArgs

32. #### var partitions: Int

33. #### var printMetrics: Boolean

    Definition Classes
      Args4jBase

34. #### var sortFastqOutput: Boolean

    Definition Classes
      BedtoolsIntersectArgs → ADAMSaveAnyArgs

35. #### var sorted: Boolean

    Definition Classes
      BedtoolsIntersectFnArgs

36. #### var sudo: Boolean

    Definition Classes
      BedtoolsIntersectFnArgs

37. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

38. #### def toString(): String

    Definition Classes
      AnyRef → Any

39. #### var useDocker: Boolean

    Definition Classes
      BedtoolsIntersectFnArgs

40. #### var useSingularity: Boolean

    Definition Classes
      BedtoolsIntersectFnArgs

41. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ParquetArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from BedtoolsIntersectFnArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped